WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000592WeBid[All Projects] Generalpublic2016-08-28 07:102016-09-13 16:55
Reporterbigalgeorge 
Assigned Torenlok 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformUbuntuOSOS Version
Product Version1.2.1 
Target VersionFixed in Version1.2.2 
Summary0000592: formatDate(time(
Description    public function formatDate($rawdate, $format = false, $GMT = false)
    {
        if ($GMT)
        {
            $GMTtimezone = new DateTimeZone('GMT');
            $datetime = new DateTime($rawdate, $GMTtimezone);
        }
        else
        {
        $datetime = new DateTime($rawdate, $this->timezone);
$rawdate is being sent as timestamp which gives this error:
Failed to parse time string (1472363300)
Ive fixed in header.php by this: 'ACTUALDATE' => $dt->formatDate(date('Y-m-d'), 'M d, Y H:i:s'), but its also in sell.php etc.
Additional InformationLatest version looks good, pity that bank payments are not integrated more tightly though.
TagsNo tags attached.
import_id
Thread
Attached Files

- Relationships

-  Notes
(0001475)
renlok (administrator)
2016-08-29 00:16

could also change it to
$dt->formatDate($dt->currentDatetime(), 'M d, Y H:i:s', false)
(0001476)
bigalgeorge (reporter)
2016-08-29 00:57

$rawdate may have different structures so possibly change the formatdate() to this:
                if ($decodedate=date("Y-m-d H:i:s",$rawdate))
                {$datetime = new DateTime($decodedate, $this->timezone);}
                else {$datetime = new DateTime($rawdate, $this->timezone);}

- Issue History
Date Modified Username Field Change
2016-08-28 07:10 bigalgeorge New Issue
2016-08-29 00:16 renlok Note Added: 0001475
2016-08-29 00:18 renlok Status new => closed
2016-08-29 00:18 renlok Assigned To => renlok
2016-08-29 00:18 renlok Resolution open => fixed
2016-08-29 00:18 renlok Fixed in Version => 1.2.2
2016-08-29 00:57 bigalgeorge Note Added: 0001476
2016-08-29 00:57 bigalgeorge Status closed => feedback
2016-08-29 00:57 bigalgeorge Resolution fixed => reopened
2016-09-13 16:55 renlok Status feedback => resolved
2016-09-13 16:55 renlok Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker